{
    "name": "",
    "description": "",
    "spec": [
        {
            "question_name": "Instance Name",
            "question_description": "",
            "required": true,
            "type": "text",
            "variable": "instance_name",
            "min": 5,
            "max": 32,
            "default": "win-server",
            "choices": "",
            "new_question": true
        },
{% if type == "azure" %}
        {
            "question_name": "Vault Azure SSH Public Key",
            "question_description": "",
            "required": true,
            "type": "password",
            "variable": "vault_azure_ssh_public_key",
            "min": 5,
            "max": 1024,
            "default": "{{ vault_azure_ssh_public_key }}",
            "choices": "",
            "new_question": true
        },
{% endif %}
        {
            "question_name": "Instance Flavor",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "instance_flavor",
            "min": null,
            "max": null,
            "default": "n1-standard-1",
            "choices": "Standard_B1s\nStandard_DS2\nStandard_DS4\nn1-standard-1\nn1-standard-2\nn1-standard-8\nt3.large",
            "new_question": true
        },
        {
            "question_name": "Provider Type",
            "question_description": "",
            "required": true,
            "type": "multiplechoice",
            "variable": "type",
            "min": null,
            "max": null,
            "default": "{{ type }}",
            "choices": "ec2\ngcp\nazure\nvmware",
            "new_question": true
        }
    ]
}
